# Machine Learning From Scratch 

## About

Practical implementations of common machine learning algorithms with test
cases coded from scratch in a similar style as Scikit-learn using 
Object-Oriented Programming.

This project is meant to increase our understanding of machine learning
algorithms and what is  'underneath the hood'. It is not meant for use
in actual data science work.  

## Installation
To use the classes and functions for testing purposes create a virtual
environment and pip install the project.  
```
    $ pip install mlscratch==0.0.1
```
To download all source code in a local repository from Github create a virtual
environment and run the following commands in your terminal.

```
    $ git clone https://github.com/lukenew2/mlscratch
    $ cd mlscratch
    $ python setup.py install
```

## Learning Algorithms
### Supervised
- [Elastic Net](mlscratch/supervised/regression.py)
- [Lasso Regression](mlscratch/supervised/regression.py)
- [Linear Regression](mlscratch/supervised/regression.py)
- [Logistic Regression](mlscratch/supervised/logistic.py)
- [Polynomial Regression](mlscratch/utils/preprocessing.py)
- [Ridge Regression](mlscratch/supervised/regression.py)
- [Softmax Regression](mlscratch/supervised/logistic.py)

## Write-Ups
- [ML From Scratch: Linear, Polynomial, and Regularized Regression Models](https://towardsdatascience.com/ml-from-scratch-linear-polynomial-and-regularized-regression-models-725672336076)

